package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.HouseFeature;


/**
*  service接口类
*/
public interface HouseFeatureService{

    List<HouseFeature> getHouseFeatureList(HouseFeature record);

    List<HouseFeature> getHouseFeatureByPage(Page page, HouseFeature record);

    HouseFeature getHouseFeatureById(String id);

    HouseFeature getHouseFeature(HouseFeature record);

    boolean createHouseFeature(HouseFeature record);

    boolean deleteHouseFeature(String id);

    boolean updateHouseFeature(HouseFeature record);
}

